*-----------------------------------------------------------------------
      subroutine nxvg1x(ncdfid,cvname,mindex,valuex)

      integer   mindex(*)
      character cvname*(*)


      nvarid=ncvid(ncdfid,cvname,ircode)
      if (ircode.ne.0) call msgdmp('e','nxvg1x','error in ncvid.')

      call ncvgt1(ncdfid,nvarid,mindex,valuex,ircode)
      if (ircode.ne.0) call msgdmp('e','nxvg1x','error in ncvgt1.')

      end
